# variable

Normalizes the content of a specified variable instead of the default `msg` property.

This parameter applies to Log Message Normalization Module (mmnormalize).

Name:

  variable

Scope:

  action

Type:

  word

Default:

  action=msg

Required?:

  no

Introduced:

  8.5.1

## Description

Added in version 8.5.1.

Specifies if a variable instead of property `msg` should be used for normalization. A variable can be property, local variable, json-path etc. Please note that useRawMsg overrides this parameter, so if it is set, `variable` will be ignored and raw message will be used.

## Action usage

    action(type="mmnormalize" variable="$.foo")

## See also

See also Log Message Normalization Module (mmnormalize).

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.